Name: sound-theme-beethoven-fifth
Version: 1.1.1
Release: alt1_4
Summary: Sound theme based on Beethoven's fifth symphony
Group: Graphical desktop/Other
Source0: http://elad.fedorapeople.org/sounds/sound-theme-beethoven-fifth-%{version}.tar.xz
License: Public Domain
URL: https://fedoraproject.org/wiki/SIGs/Sound
BuildArch: noarch
Source44: import.info

%description
Sound theme by the Fedora Sound SIG, 
based on Beethoven's fifth symphony, processed from a public domain recording.

%prep
%setup -q

%build
%{nil}

%package system-ready
Group: Graphical desktop/Other
Summary: Subpackge containing the system-ready sound file
Requires: sound-theme-freedesktop

%description system-ready
This subpackage contains the system-ready sound, installing it inside the freedesktop theme directory, so gdm would play it. This subpackage will be removed when we'll find an easy way to configure which sound theme gdm use.

%install
install -dD $RPM_BUILD_ROOT%{_datadir}/sounds/beethoven-fifth/stereo/
install -pm 644 index.theme $RPM_BUILD_ROOT%{_datadir}/sounds/beethoven-fifth/
cd stereo
install -pm 644 *.oga $RPM_BUILD_ROOT%{_datadir}/sounds/beethoven-fifth/stereo/
install -dD $RPM_BUILD_ROOT%{_datadir}/sounds/freedesktop/stereo/
install -pm 644 system-ready.oga $RPM_BUILD_ROOT%{_datadir}/sounds/freedesktop/stereo/


%post
/bin/touch --no-create %{_datadir}/sounds/beethoven-fifth %{_datadir}/sounds

%postun
/bin/touch --no-create %{_datadir}/sounds/beethoven-fifth %{_datadir}/sounds

%post system-ready
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%postun system-ready
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%files
%doc README
%dir %{_datadir}/sounds/beethoven-fifth
%dir %{_datadir}/sounds/beethoven-fifth/stereo
%{_datadir}/sounds/beethoven-fifth/index.theme
%{_datadir}/sounds/beethoven-fifth/stereo/*.oga

%files system-ready
%{_datadir}/sounds/freedesktop/stereo/system-ready.oga


%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_4
- initial fc import

